%define	name	kiki
%define	version	0.9.0
%define	release	4mdk
%define	Summary	Kiki the nanobot
%define	py_ver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")


Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://kiki.sourceforge.net/
Source0:	%{name}-src-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	%{name}-story.txt.bz2
Patch0:		%{name}-0.9.0-mdkconf.patch.bz2
License:	Public Domain
Group:		Games/Puzzles
Summary:	%{Summary}
BuildRequires:	devel(libglut) devel(libSDL_mixer-1.2) devel(libaudio) devel(libSDL_image-1.2)
BuildRequires:	devel(libpython2.3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
"kiki the nano bot" is a 3-D puzzle game, basically a mixture
of the games Sokoban and Kula-World.

kiki has won the Categories 'Best Graphics', 'Best Originality'
and 'Best Overall Game' in the uDevGame Game Programming Contest 2002.

%prep
%setup -q -n %{name}_src
%patch0 -p1 -b .mdkconf
bzcat %{SOURCE2} > %{name}/story.txt
rm -rf `find -type d -name CVS`

%build
(cd kodilib/linux; %make OPTFLAGS="$RPM_OPT_FLAGS")
(cd %{name}/linux/; %make OPTFLAGS="$RPM_OPT_FLAGS" PYTHON_VERSION=%{py_ver})

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -m755 %{name}/linux/%{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.bin

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
export KIKI_HOME="%{_gamesdatadir}/%{name}"
%{_gamesbindir}/%{name}.bin $@
EOF

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/{sounds,py} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Puzzles" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{name}/linux/Readme.txt %{name}/story.txt %{name}/Thanks.txt %{name}/uDevGame\ Readme.txt
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-4mdk
- BuildRequires python-devel 
 
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new python

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- bump, binary uploaded differed from source rpm, had the wrong group & menu section

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.0-1mdk
- initial mdk release
